Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160607 - Gnome Panel does not display icons for several KDE applications
Summary: Gnome Panel does not display icons for several KDE applications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 01:26 UTC by Dhanesh Ramachandram
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 16:28:02 UTC


Attachments (Terms of Use)

Description Dhanesh Ramachandram 2005-06-16 01:26:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:


Version-Release number of selected component (if applicable):
KGet,KNewsTicker,Kile

How reproducible:
Always

Steps to Reproduce:
1.Boot Fedora Core 4
2.Click to open Gnome Panel
3.Notice Missing Icons on Certain KDE applications
  

Additional info:

Comment 1 Gérard Milmeister 2005-06-17 21:14:17 UTC
The icons for most KDE apps are not shown in GNOME main menu.
Here is an example for an icon not showing:

kasteroids sets is icon to kasteroids (without .png extension)
icons with this name are:
/usr/share/icons/crystalsvg/16x16/apps/kasteroids.png
/usr/share/icons/crystalsvg/32x32/apps/kasteroids.png
/usr/share/icons/crystalsvg/48x48/apps/kasteroids.png

Here an example with its icon showing:
kturtle sets it to kturtle
icons with this name are:
/usr/share/icons/hicolor/16x16/apps/kturtle.png
/usr/share/icons/hicolor/32x32/apps/kturtle.png

So icons for most KDE apps seem to missing in a default location,
but they have them in the directory for the crystalsvg theme.

Comment 2 Mark McLoughlin 2005-06-27 16:28:02 UTC
This was fixed at some point before FC4. Bluecurve now inherits from the gnome
and crystalsvg icon themes

Comment 3 Gérard Milmeister 2005-06-27 16:45:31 UTC
(In reply to comment #2)
> This was fixed at some point before FC4. Bluecurve now inherits from the gnome
> and crystalsvg icon themes

But icons still don't show in FC4.

Comment 4 Mark McLoughlin 2005-06-27 16:50:50 UTC
Which icons? The kasteroids one shows up fine here ...

What does /usr/share/icons/Bluecurve/index.theme have in Inherits ?

What does:

  gconftool-2 -g /desktop/gnome/interface/icon_theme

give?

Comment 5 Gérard Milmeister 2005-06-27 17:18:41 UTC
Sorry, my icon theme was Industrial which had only Inherits=gnome.
I replaced the line with Inherits=gnome,crystalsvg and now it works.
Does this mean, that any self-installed theme will need to be patched
this way? Or is this Inherits now required for any new themes?

Comment 6 Mark McLoughlin 2005-06-28 07:30:10 UTC
Well, really I think the correct fix is for applications like kasteroids to
install their icons in the hicolor icon theme. That would work


Note You need to log in before you can comment on or make changes to this bug.